# Imagick::compareImageChannels

(PECL imagick 2.0.0)

Imagick::compareImageChannels — Returns the difference in one or more images

### Description

Imagick::compareImageChannels ( Imagick `$image` , int `$channelType` , int `$metricType` ) : array

Compares one or more images and returns the difference image.

### Parameters

`image`

  Imagick object containing the image to compare.

`channelType`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

`metricType`

  One of the metric type constants.

### Return Values

Array consisting of new_wand and distortion.

### Errors/Exceptions

Throws ImagickException on error.